/*Importamos la fuente Poppins de Google Fonts*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');
/*Se usa tal que:      font-family: 'Poppins', sans-serif;*/

/* Iconos Bootstrap */
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css");

/*Estilos generales*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    color: inherit;
    word-break: break-word;
}

/*Declaramos variables en la raíz del documento*/
:root {
    --main-color-white: #ffffff;
    --main-color-black: #000000;
    --second-color-green: rgb(6, 136, 77);
    --second-color-green-hover: rgb(5, 166, 94);
    --tamaño-28-letra: 1.6em;
}

/*Estilos del body*/
body {
    display: flex;
    font-family: 'Poppins', sans-serif;
    background-color: var(--main-color-white);
    color: var(--main-color-black);
    flex-direction: column;
}

/*Separación para no ocultar contenido bajo el menú de navegación*/
.separacion-menu{
    height: 5rem;
}

/*Separación entre partes de la página*/
.separacion-contenido{
    height: 4rem;
}
.pequeña-separacion-contenido{
    height: 2rem;
}

/*Contenedor completo, wrapper de toda la monitorización, no lleva el margin top 12vh en landing*/
.wrapper {
    padding-left: 7%;
    padding-right: 7%;
}

/* Estilos de texto de la web */
p {
    font-size: 90%;
    font-weight: 400;
    margin-bottom: 1.4em;
}

h1 {
    font-weight: 800;
    font-size: 220%;
}

h2 {
    font-weight: 600;
    font-size: 140%;
    margin-bottom: 0.4em;
}

h3 {
    font-weight: 700;
    font-size: 150%;
    margin-bottom: 0.8em;
    margin-top: 1.2em;
}

/*Estilo para textos que envian a otras paginas de la web*/
.texto-link:hover{
    color: var(--second-color-green-hover);
}

/*Estilo botones verdes y blancos como CTA*/
.boton-verde-blanco {
    text-align: center;
    align-content: center;
    width: 72%;
    max-width: 300px;
    border-radius: 3em;
    border: none;
    box-shadow: 0.1em 0.1em 0.1em 0.1em rgba(0, 0, 0, 0.25);
    background: var(--second-color-green);
    color: var(--main-color-white);
    font-family:'Poppins', sans-serif;
    font-weight: 500;
    font-size: 170%;
    padding: 0.1em 0.1em;
    cursor: pointer;
    transition: all .5s ease;
}

.boton-verde-blanco:hover{
    background: var(--second-color-green-hover);
}

/*Margen de las secciones del main y body*/
main>section, body>section{
    margin-top: 1.7em;
    margin-bottom: 1.7em;
}

/*Estilo para los párrafos SemiBold de un poco más de tamaño que los párrafos estándar*/
.parrafo-negrita {
    font-size: 110%;
    font-weight: 600;
}

.tituloPrincipal{
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    margin-top: 3em;
    margin-bottom: 3em;
    font-size: 0.7em;
}


/*------------------------Comienza QUIENES SOMOS------------------------*/

/*Estilo general de la página Sobre Nosotros*/
#quienes-somos-page {
    height: 55vh;
    flex-direction: column;
    align-content: center;
    text-align: justify-all;
    display: flex;
    justify-content: center;
    align-items: start;
    border: 0px solid grey;
}

/* Estilo imágenes página Sobre Nosotros */
.imagenes-sobre-nosotros {
    height: 13em;
    border-radius: 1.1em;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    flex-direction: column;
    text-align: justify-all;
}

/* Añadir fondo verde de contraste predeterminado del proyecto */
#fondo-contraste-sobre-nosotros{
    background-color: var(--second-color-green);
    height: 50rem;
    border: 0px solid blue;
}

/* Estilos de las secciones de la Página Sobre Nosotros */
/* Sección de Visión */


.seccion-vision {
    color: var(--main-color-white);
    height: 24rem;
    margin-top: 2vh;
    border: 0 solid black;
    flex-direction: column;
    align-content: center;
    text-align: justify-all;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* Todas las imágenes de la sección de Visión */
#imagenes-vision{
    height: 13em;
    border-radius: 1.1em;
    display: flex;
    width: 19em;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    text-align: justify-all;
    align-items: center;
    border: 0 solid black;
    margin: 0 auto;
}

/* Sección de Valores */
#seccion-valores{
    display: flex;
    border: 0px solid yellow;
    justify-content: space-between;
}
/* Acaban los estilos de las secciones de la página Sobre Nosotros*/

/* Deslizable de tarjetas de Sobre Nosotros (transparencia, calidad, pasión) */
#deslizable-imagenes-sobre-nosotros{
    border: 0px solid black;
    text-align: center;
    border-radius: 1.1em;
    box-shadow: 0px 2px 4px 0 rgba(0,0,0,0.5);
    display: flex;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.contenedor-resenyas-deslizables{
    box-shadow: 0.1em 0.1em 0.1em 0.1em rgba(0, 0, 0, 0.25);
    border-radius: 1.1em;
    display: none;
    max-width: 100%;
    justify-content: center;
    flex-direction: column;
    padding: 0.8rem 1rem;
    text-align: center;
}

.contenedor-cabecera-valores{
    display: flex;
    flex-wrap: wrap;
    padding-left: 2%;
    padding-right: 2%;
    justify-content: center;
    align-items: center;
}

/*------------------------Termina QUIENES SOMOS------------------------*/

/*------------------------COMIENZA PRODUCTO------------------------*/

/*Contenedor completo, wrapper de producto,  lleva el margin top 12vh*/
.wrapper-producto {
    margin-top: 12vh;
    padding-left: 7%;
    padding-right: 7%;

}

/* Esconde las imágenes por defecto */
.mySlides {
    display: none;
    margin: 0 auto; /* Centra la sección horizontalmente */
    padding-left: 10px; /* Ajusta el margen izquierdo según tus necesidades */
    padding-right: 10px; /* Ajusta el margen derecho según tus necesidades */
}


/* Contenido dentro de .mySlides */
.mySlides img {
    display: block;
    margin: 0 auto; /* Centra la imagen horizontalmente dentro de .mySlides */
}

/* Fila de imágenes del selector */
.row {
    display: flex;
    justify-content: center;
    margin: 10px auto; /* Centra la sección horizontalmente */
    max-width: 1200px; /* Ajusta el ancho máximo de la fila según tus necesidades */
    padding-left: 10px; /* Ajusta el margen izquierdo según tus necesidades */
    padding-right: 10px; /* Ajusta el margen derecho según tus necesidades */
}

/* Contenido dentro de .row */
.row .column {
    display: flex;
    justify-content: center;
}

.row .column img {
    display: block;
    margin: 0 auto; /* Centra la imagen horizontalmente dentro de cada columna */
}


/* Página del Producto */
#producto-page{
    flex-direction: column;
    align-content: center;
    text-align: justify-all;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 3em;
}


#producto-page h2 {
    text-align: left;
}

/* Botones de la página de Producto */
.boton-producto {
    flex-direction: column;
    align-content: center;
    text-align: justify-all;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .5s ease;
    margin-top: 2em;
    margin-bottom: 3em;
}

/* Características de la sección de preguntas frecuentes */
.seccion-preguntas{
    margin-top: 4vh;
    margin-bottom: 6vh;
}

.titulo-preguntas{
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    margin-top: 3em;
    margin-bottom: 3em;
    font-size: 1.8em;
}

/* SELECTOR DE IMÁGENES PRODUCTO */
/* Esconde las imágenes por defecto */
.mySlides {
    display: none;
}

/* Características de las imágenes mostradas del selector */
.image-selector {
    width: 320px; /* Tamaño fijo en píxeles */
    height: auto; /* Mantén la proporción de aspecto */
    border-radius: 1.1em;
    margin-bottom: 1em;
    align-content: center;
    justify-content: center;
}

/* Fila de imágenes del selector */
.row:after {
    content: "";
    display: table;
    clear: both;
    margin-bottom: 2em;
}

/* Crea seis columnas en la fila para las seis imágenes del selector */
.column {
    float: left;
    width: 50px;
    padding: 0 1px;
    height: 4em;
}

/* Características de las imágenes inferiores de selección */
.demo {
    opacity: 1;
    width: 45px; /* Tamaño fijo en píxeles */
    height: 45px; /* Mantén la proporción de aspecto */
    border-radius: 1.1em;
    align-content: center;
    justify-content: center;
    cursor: pointer;
}

/* Características cuando se selecciona una imagen inferior del selector */
.demo:hover {
    opacity: 1;
    box-shadow: 0px 3px 6px 0 rgba(0,0,0,0.6);
}

/* ACABA SELECTOR DE IMÁGENES PRODUCTO */

/*------------------------ACABA PRODUCTO------------------------*/


/*------------------------COMIENZA ADMINISTRADOR WEB------------------------*/

.seccion-registros{

}

table {
    width: 80%;
    margin: 0 auto;
    border-collapse: collapse;
}
th {
    border-bottom: solid 2px black;
}
td {
    border-bottom: solid 1px black;
    padding: .2em 3em;
}

tbody {
    border: solid 1px black;
}

tbody tr:nth-child(even) {
    background-color: #a7a7a7;
}

.mensaje-error {
    text-align: center;
    padding: 2em;
    font-weight: bold;
    color: red;
}

.btn-input input {
    max-width: 3em;
    text-align: center;
    display: none;
}

.btn-input.activo button {
    display: none;
}

.btn-input.activo input {
    display: initial;
}

.texto-desplegable-trabajadores{
    display: flex;
    flex: 1 1 0px;
    justify-content: space-evenly;
}

.acordeon-trabajador {
    max-width: 700px;
    margin: 0.5rem auto;
}

.close-icon{
    order: 10;
}

/*Títulos comunes para trabajadores*/

.títulos-trabajadores {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 4vh;
    color: #333333;
    font-size: 1.2em;
    font-weight: 500;
    margin-top: 2em;
    margin-bottom: 2em;

}

/*------------------------ACABA ADMINISTRADOR WEB------------------------*/


/* COMIENZA ESTILOS DE DESPLEGABLES GENERALES */

.acordeon {
    max-width: 600px;
    margin: 2rem auto;
}

.acordeon-item {
    background-color: #06884D;
    color: #fff;
    margin: 1rem 0;
    border-radius: 0.5rem;
    box-shadow: 0px 2px 4px 0 rgba(0,0,0,0.5);
}

.acordeon-item-header {
    padding: 0.5rem 1rem 0.5rem 1rem;
    min-height: 3.5rem;
    line-height: 1.3rem;
    font-size: 1rem;
    font-weight: 600;
    display: flex;
    align-items: center;
    cursor: pointer;
    justify-content: space-between; /* Alineación a la derecha */
}

.plus-desplegables{
    font-size: 1.6rem;
    margin-left: 0.3rem;
    align-self: center;
}

.acordeon-item-body {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.acordeon-item-body-content {
    padding: 1rem;
    line-height: 1.5rem;
    border-top: 1px solid white;
}

/* ACABA ESTILOS DE DESPLEGABLES */

/*Botón saber mas clase estilo*/
#contenedor-boton-saber-mas {
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 550px; /* Establece el ancho máximo deseado para el botón */
    margin: 0 auto; /* Centra el botón horizontalmente en su contenedor */
    font-size: 92%;
}



/*------------------------Comienza landing page------------------------*/
/*------------------------Comienza landing page hero------------------------*/

/*Contenedor completo, wrapper de toda la monitorización, no lleva el margin top 12vh en landing*/
.wrapper-landing{
    padding-left: 7%;
    padding-right: 7%;
}

/*Estilo de la sección hero donde esta el CTA, primera pantalla de la landing page*/
#landing-page-hero {
    margin-top: 12vh;
    height: 88vh;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    align-content: center;
    background-image: url("../images/landing-hero.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    margin-bottom: 2rem;
}

/* Márgenes para el título de la hero */
#landing-page-hero h1 {
    position: absolute;
    width: 100%;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 0;
}

/* Márgenes para el párrafo de la hero */
#landing-page-hero p {
    position: absolute;
    width: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 1em;
    margin-bottom: 6em;
}

/* Estilos para el botón CTA */
#boton-CTA {
    position: absolute;
    max-width: 500px;
    transition: all .5s ease;
    bottom: 30%;
    left: 50%;
    transform: translateX(-50%);
}

/* Estilos para la flecha de bajar */
.flecha-bajar {
    position: absolute;
    bottom: 0.5em;
    left: 50%;
    transform: translateX(-50%);
    color: #06884DFF;
}

.flecha-bajar a {
    color: var(--main-color-white);
    font-size: 4rem;
    display: inline-block;
    animation: flecha_animada 1.5s ease-in-out infinite;
    padding: 0.3rem;
    transition: all .5s ease;
}


@keyframes flecha_animada {
    from{
        transform: translateY(0);
    }
    50%{
        transform: translateY(10px);
    }
    to{
        transform: translateY(0);
    }
}


/*Estilo imágenes de la landing page*/
.imagenes-landing {
    height: 6%;
    border-radius: 1.1em;
    max-width: 100%;
    align-content: center;
    justify-content: center;
    margin-bottom: 3em;
}

.imagenes-landing {
    width: 370px;
    height: auto;
    display: block;
    margin: 5vh auto;
}




/*------------------------Termina landing page hero------------------------*/

/*------------------------Comienza sección mantenimiento------------------------*/
/*Estilo de la sección de mantenimiento en la landing page*/
#seccion-mantenimiento {
    background-color: var(--second-color-green);
    color: var(--main-color-white);
    margin-top: 2em;
    margin-bottom: 2em;
}

.flex-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

/*------------------------Termina sección mantenimiento------------------------*/

/*------------------------Comienza reseñas------------------------*/

#seccion-resenyas {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*Contenedor para estrellas reseñas*/
#contenedor-estrellas-opiniones {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-items: center;
    margin-bottom: 3em;
}

/*Estilo de las estrellas con la media de las reseñas de los usuarios, estrellas grandes*/
#estrellas-media-resenyas {
    height: 2em;
    max-width: 100%;
    margin-bottom: 0.5em;
}
/*Los parrafos de dentro del contenedor padre con las estrellas*/
#contenedor-estrellas-opiniones>p {
    display: flex;
    justify-content: center;
    text-align: center;
    margin-bottom: 1em;
}

/*Estilo contenedor donde deslizan todos los paneles*/
.contenedor-resenyas-deslizables {
    box-shadow: 0.1em 0.1em 0.1em 0.1em rgba(0, 0, 0, 0.25);
    border-radius: 1.1em;
    display: none;
    max-width: 100%;
    justify-content: center;
    flex-direction: column;
    padding: 0.8rem 1rem;
    text-align: center;
}

/*Contenedor para la cabecera de cada reseña que desliza*/
.contenedor-cabecera-resenya {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    padding-left: 9%;
    padding-right: 9%;
    justify-content: center;
}

/*Estilo del nombre de la persona dentro de cada resenya*/
.contenedor-cabecera-resenya p {
    margin-right: 0.6em;
}

/*Separacion del parrafo con el nombre de cada persona que pone reseña, con las estrellitas puestas a la derecha*/
.contenedor-cabecera-resenya>div {
    display: flex;
    justify-content: center ;
}

/*Estilo para las estrellas verdes especificas de cada reseña de usuarios*/
.estrellas-resenya-especifica {
    height: 1.7em;
}

/*Estilo contenedor botones deslizables reseñas*/
#contenedor-botones-deslizable-resenyas {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 1.7em;
    justify-content: center;
}

#deslizar-izquierda-resenya, #deslizar-derecha-resenya{
    cursor: pointer;
}

/*Clase para cuando un elemento esta activo*/
.resenya-activa {
    display: flex;
}

/*Estilo botones pertenecen al contenedor de botones deslizables*/
#contenedor-botones-deslizable-resenyas>button{
    margin-left: 1em;
    margin-right: 1em;
    border-radius: 50%;
    border: 0.11em var(--second-color-green) solid;
    background: var(--main-color-white);
    color: var(--second-color-green);
    font-weight: 1000;
    font-size: 1.2em;
    width: 2.4em;
    height: 2.4em;
    transition: all .5s ease;
}
/*------------------------Termina reseñas------------------------*/
/*------------------------Termina landing page------------------------*/

/*------------------------Comienza footer------------------------*/

/*Wrapper para aplicar el padding al footer*/
.wrapper-footer {
    padding: 1em 7%;
    bottom: 0;
}

/*Estilo footer*/
#footer-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 0.7em;
    font-weight: 500;
    height: 10%;
    width: 100%;
    background-color: var(--second-color-green);
    color: var(--main-color-white);
    transition: all .5s ease;
}

/*Estilo que poseen los enlaces de politica de privacidad y condiciones, margenes entre cada uno */
#footer-bottom a{
    margin-right: 0.6em;
    margin-left: 0.6em;
    transition: all .5s ease;
}

/*Margenes para el texto de copyrigth del footer*/
#footer-bottom p {
    margin-top: 1em;
    margin-bottom: 0;
}
/*------------------------Termina footer------------------------*/
